import BaseModel from '@/utils/request'
class CameraModel extends BaseModel {
  constructor(model) {
    super(model);
  } 

// 登录
  login(data) {
    console.log('登录:',data)
    return this.request(Object.assign({
        url:`/user/login`,
        method: 'post',
        data
    }))
  }
  // 获取用户信息
  getUserInfo(data) {
    return this.request(Object.assign({
        url:`/user/getUserInfo`,
        method: 'get',
        data
    }))
  }
  // 退出登录
  logout(params){
    console.log('调用退出登录')
    return this.request(Object.assign({
      url:'/user/outlogin',
      method:'post',
      params,
    }))
  }
}


const usermodel = new CameraModel('camera')
export default    usermodel
