const getDefaultState = () => {
  return {
    lock_gongzi:false,//工资管理锁定
    lock_waipandan:false,//外判单锁定
    lock_gongshi:false,//工时管理锁定
    lock_gongshi_getold:false,//已经获取旧数据
    gongzi: [],
    waipan: [],
    lu: 10,
    month:'',
    staff:[],//员工列表


  }
}

const state = getDefaultState()

const mutations = {
  RESET_STATE: (state) => {
    Object.assign(state, getDefaultState())
  },
  SET_lock_gongzi: (state, value) => {
    state.lock_gongzi = value
  },
  SET_lock_waipandan: (state, value) => {
    state.lock_waipandan = value
  },
  SET_lock_gongshi: (state, value) => {
    state.lock_gongshi = value
  },
  SET_lock_gongshi_getold: (state, value) => {
    state.lock_gongshi_getold = value
  },
  SET_MONTH: (state, value) => {
    state.month = value
  },
  SET_WAIPAN: (state, value) => {
    state.waipan = []
    value.forEach(element => {
      state.waipan.push(element)
    });
  },
  ADD_WAIPAN: (state, value) => {
    // state.waipan = []
    value.forEach(element => {
      state.waipan.push(element)
    });
  },

  SET_GONGZI: (state, value) => {
    state.gongzi = []
    value.forEach(element => {
      state.gongzi.push(element)
    });

  },

  SET_GONGZI_ADD: (state, value) => {
    // state.gongzi = []    
    value.forEach(element => {
      state.gongzi.push(element)
    });

  },

}

const actions = {
  set_lock_gongzi: ({
    commit
  }, value) => commit('SET_lock_gongzi', value),
  set_lock_gongshi: ({
    commit
  }, value) => commit('SET_lock_gongshi', value),
  set_lock_waipandan: ({
    commit
  }, value) => commit('SET_lock_waipandan', value),
  set_lock_gongshi_getold: ({
    commit
  }, value) => commit('SET_lock_gongshi_getold', value),
  setMonth: ({
    commit
  }, value) => commit('SET_MONTH', value),
  setWaipan: ({
    commit
  }, value) => commit('SET_WAIPAN', value),
  addWaipan: ({
    commit
  }, value) => commit('ADD_WAIPAN', value),
  setGongzi: ({
    commit
  }, value) => commit('SET_GONGZI', value),
  addGongzi: ({
    commit
  }, value) => commit('SET_GONGZI_ADD', value),
}

export default {
  //   namespaced: true,
  state,
  mutations,
  actions
}

